Bug 33577 - [BREWMP] Don't use time function
Summary: [BREWMP] Don't use time function
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 33564
  Show dependency treegraph
 
Reported: 2010-01-12 23:34 PST by Kwang Yul Seo
Modified: 2010-01-27 04:17 PST (History)
2 users (show)

See Also:


Attachments
Replace time(0) with currentTime() for BREW (1.19 KB, patch)
2010-01-12 23:37 PST, Kwang Yul Seo
no flags Details | Formatted Diff | Diff
Replace time(0) with currentTime() for BREW (1.21 KB, patch)
2010-01-12 23:44 PST, Kwang Yul Seo
no flags Details | Formatted Diff | Diff
Replace time(0) with currentTime() (1.22 KB, patch)
2010-01-22 21:49 PST, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-01-12 23:34:09 PST
Calling time(0) in BREW devices causes a crash because time is not ported properly. Cast currentTime to int to get the same result as time(0).
Comment 1 Kwang Yul Seo 2010-01-12 23:37:10 PST
Created attachment 46428 [details]
Replace time(0) with currentTime() for BREW
Comment 2 Kwang Yul Seo 2010-01-12 23:44:47 PST
Created attachment 46429 [details]
Replace time(0) with currentTime() for BREW

ChangeLog.
Comment 3 Kwang Yul Seo 2010-01-22 21:49:25 PST
Created attachment 47265 [details]
Replace time(0) with currentTime()
Comment 4 Eric Seidel (no email) 2010-01-26 14:47:56 PST
Comment on attachment 47265 [details]
Replace time(0) with currentTime()

I do not know if this is correct.  It looks non-harmful though.
Comment 5 WebKit Commit Bot 2010-01-27 04:17:48 PST
Comment on attachment 47265 [details]
Replace time(0) with currentTime()

Clearing flags on attachment: 47265

Committed r53921: <http://trac.webkit.org/changeset/53921>
Comment 6 WebKit Commit Bot 2010-01-27 04:17:53 PST
All reviewed patches have been landed.  Closing bug.